# Config
version="httpd-2.4.53"
port="1010"

# Create Directory
mkdir -p /var/run/serverforge/apache

# Compile and Build
cd /var/run/serverforge/downloads
if [[ ! -f /var/run/serverforge/downloads/$version.tar.gz || ! -d /var/run/serverforge/downloads/$version ]]
then
	wget https://mirrors.gethosted.online/serverforge/$version.tar.gz
	tar -zxf $version.tar.gz
fi

cd $version
./configure --prefix=/var/run/serverforge/apache --enable-so --enable-ssl --with-pcre=/var/run/serverforge/pcre/bin/pcre-config --with-apr=/var/run/serverforge/apr --with-apr-util=/var/run/serverforge/apr-util
make 
make install

# Change Ports
sed -i "s/Listen 80/Listen $port/" /var/run/serverforge/apache/conf/httpd.conf
if [[ `cat /var/run/serverforge/apache/conf/httpd.conf` != *"ServerName"* ]]; then
	servername=`hostname`
	echo "ServerName $servername"  >> /var/run/serverforge/apache/conf/httpd.conf
fi