#!/bin/bash

echo ${1} ${2} ${3}
if [[ -z ${1} || -z ${2} || -z ${3} ]]; then
    echo "Format: $0 <user> <password> <database>"
    exit;
else
    echo "Creating user $1 identified by $2 on database $3"
    mysql -e "CREATE USER $1@127.0.0.1 IDENTIFIED BY '$2';"
    mysql -e "GRANT ALL PRIVILEGES ON $3.* TO $1@127.0.0.1 WITH GRANT OPTION;"
    mysql -e "FLUSH PRIVILEGES;"

    echo 'Complete.'
fi

