#!/bin/bash

# Config
version="apr-1.7.0"
versionUtil="apr-util-1.6.1"

# First, create directory
mkdir -p /var/run/serverforge/apr
mkdir -p /var/run/serverforge/apr-util


# Now Compile and Build
cd /var/run/serverforge/downloads
if [[ ! -f /var/run/serverforge/downloads/$version.tar.gz || ! -d /var/run/serverforge/downloads/$version ]]
then
	wget https://mirrors.gethosted.online/serverforge/$version.tar.gz
	tar -zxf $version.tar.gz
fi
cd $version
./configure --prefix=/var/run/serverforge/apr
make
make install

cd /var/run/serverforge/downloads
if [[ ! -f /var/run/serverforge/downloads/$versionUtil.tar.gz ]]
then
	wget https://mirrors.gethosted.online/serverforge/$versionUtil.tar.gz
	tar -zxf $versionUtil.tar.gz
fi
cd $versionUtil
./configure --prefix=/var/run/serverforge/apr-util --with-apr=/var/run/serverforge/apr
make
make install
