#!/bin/bash 

# Config 
version="libxml2-2.7.2"

# Create Directory
mkdir -p /var/run/serverforge/libxml2

# libxml
cd /var/run/serverforge/downloads
if [[ ! -f /var/run/serverforge/downloads/$version.tar.gz || ! -d /var/run/serverforge/downloads/$version ]]
then
	wget https://mirrors.gethosted.online/serverforge/$version.tar.gz
	tar -zxf $version.tar.gz
fi
cd $version
./configure --prefix=/var/run/serverforge/libxml2
make
make install
